VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::NtpTypes::NTPConfig Class Reference

`Ntp.NTPConfig` class Structure defining the NTP configuration. More...

List of all members.

## Public Member Functions
| NTPConfig ()
| Creates a default new instance.
vmware.appliance.techpreview.NtpTypes.NTPStatus | GetStatus ()
| NTP daemon running status.
void | SetStatus (vmware.appliance.techpreview.NtpTypes.NTPStatus status)
| NTP daemon running status.
global::System.Collections.Generic.List < string > | GetServers ()
| List of NTP servers.
void | SetServers (global::System.Collections.Generic.List< string > servers)
| List of NTP servers.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Ntp.NTPConfig` class Structure defining the NTP configuration.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::NtpTypes::NTPConfig::NTPConfig | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::NtpTypes::NTPConfig::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::NtpTypes::NTPConfig::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::NtpTypes::NTPConfig::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::NtpTypes::NTPConfig::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::NtpTypes::NTPConfig::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::NtpTypes::NTPConfig::Equals | ( | object | obj | ) | `[inline]`

override int vmware::appliance::techpreview::NtpTypes::NTPConfig::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.List<string> vmware::appliance::techpreview::NtpTypes::NTPConfig::GetServers | ( |  | ) | `[inline]`

List of NTP servers.

vmware.appliance.techpreview.NtpTypes.NTPStatus vmware::appliance::techpreview::NtpTypes::NTPConfig::GetStatus | ( |  | ) | `[inline]`

NTP daemon running status.

void vmware::appliance::techpreview::NtpTypes::NTPConfig::SetServers | ( | global::System.Collections.Generic.List< string > | servers | ) | `[inline]`

List of NTP servers.

void vmware::appliance::techpreview::NtpTypes::NTPConfig::SetStatus | ( | vmware.appliance.techpreview.NtpTypes.NTPStatus | status | ) | `[inline]`

NTP daemon running status.

override string vmware::appliance::techpreview::NtpTypes::NTPConfig::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- NtpTypes.cs